﻿-- phpMyAdmin SQL Dump
-- version 3.4.11.1deb2+deb7u8
-- http://www.phpmyadmin.net
--
-- Хост: localhost
-- Время создания: Авг 10 2018 г., 18:35
-- Версия сервера: 5.5.54
-- Версия PHP: 5.4.45-0+deb7u8

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--

-- --------------------------------------------------------

--
-- Структура таблицы `battle`
--

CREATE TABLE IF NOT EXISTS `battle` (
  `id` int(11) NOT NULL AUTO_INCREMENT,
  `uid` int(11) NOT NULL COMMENT 'id игрока',
  `id1` int(11) NOT NULL COMMENT 'доп. id №1',
  `id2` int(11) NOT NULL COMMENT 'доп. id №2',
  `stat` varchar(150) NOT NULL COMMENT 'сила/жизни/защита',
  `stat2` varchar(150) NOT NULL COMMENT 'сила2/жизни2/защита2',
  `time` int(11) NOT NULL COMMENT 'время',
  `type` varchar(300) NOT NULL COMMENT 'тип',
  `act` varchar(300) NOT NULL COMMENT 'действие',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Бои' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `clan_battle_list`
--

CREATE TABLE IF NOT EXISTS `clan_battle_list` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `cid` int(11) NOT NULL COMMENT 'id клана',
  `kill` int(11) NOT NULL COMMENT 'кол-во убийств',
  `time` int(11) NOT NULL COMMENT 'время записи',
  `time2` int(11) NOT NULL COMMENT 'время последнего боя',
  `act` enum('0','1') NOT NULL COMMENT '0 - не участвует в бою,1 - участие в бою',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Список кланов которые принимают участие в турнире' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `clan_battle_log`
--

CREATE TABLE IF NOT EXISTS `clan_battle_log` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `cid` int(11) NOT NULL COMMENT 'id клана',
  `uid` int(11) NOT NULL COMMENT 'id игрока',
  `idu` int(11) NOT NULL COMMENT 'id протвника',
  `text` text NOT NULL COMMENT 'лог боя',
  `time` int(11) NOT NULL COMMENT 'время записи',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='Лог боя из Клановых Боёв' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `clan_battle_settings`
--

CREATE TABLE IF NOT EXISTS `is_clan_battle_settings` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `time` int(11) NOT NULL COMMENT 'время запуска',
  `time2` int(11) NOT NULL COMMENT 'автоматически запускать через n сек',
  `gold` int(11) NOT NULL COMMENT 'награда (золото)',
  `silver` int(11) NOT NULL COMMENT 'награда (серебро)',
  `act` enum('0','1') NOT NULL COMMENT '0 - нечего, 1 - запушена',
  `act2` enum('0','1') NOT NULL COMMENT '0 - нечего, 1 - автоматический  запуск',
  `clan` int(11) NOT NULL COMMENT 'кол-во кланов участвующие в турнире',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

--
-- Структура таблицы `clan_battle_user`
--

CREATE TABLE IF NOT EXISTS `clan_battle_user` (
  `id` int(11) NOT NULL AUTO_INCREMENT COMMENT 'id',
  `cid` int(11) NOT NULL COMMENT 'id клана',
  `uid` int(11) NOT NULL COMMENT 'id игрока',
  `idu` int(11) NOT NULL COMMENT 'id противника',
  `hp` int(11) NOT NULL COMMENT 'текущие жизни игрока',
  `ability_1` enum('0','1') NOT NULL COMMENT 'скилл Ярость титана, 1 - активировано,  0 - нет',
  `ability_2` enum('0','1') NOT NULL COMMENT 'скилл Крепкая броня, 1 - активировано,  0 - нет',
  `ability_3` enum('0','1') NOT NULL COMMENT 'скилл Вихрь критов, 1 - активировано,  0 - нет',
  `ability_4` enum('0','1') NOT NULL COMMENT 'скилл Защитная стойка, 1 - активировано,  0 - нет',
  `ability_5` enum('0','1') NOT NULL COMMENT 'скилл Вампиризм, 1 - активировано,  0 - нет',
  `time` int(11) NOT NULL COMMENT 'время записи',
  `time2` int(11) NOT NULL COMMENT 'время последнего боя',
  `time3` int(11) NOT NULL COMMENT 'время когда атаковали',
  `kill` int(11) NOT NULL COMMENT 'кол-во убийств',
  `act` enum('0','1') NOT NULL COMMENT '0 - не в бою, 1 - в бою',
  PRIMARY KEY (`id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8 COMMENT='игроки участвующие в бою' AUTO_INCREMENT=1 ;

-- --------------------------------------------------------

